Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractItemView.ScrollHint

    java.lang.Object
      java.lang.Enum<QAbstractItemView.ScrollHint>
          com.trolltech.qt.gui.QAbstractItemView.ScrollHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractItemView.ScrollHint>

Enclosing class:
  QAbstractItemView

    public static enum QAbstractItemView.ScrollHint

extends java.lang.Enum<QAbstractItemView.ScrollHint>
implements QtEnumerator

Press link for info on QAbstractItemView.ScrollHint

Enum Constant Summary
`EnsureVisible` Scroll to ensure that the item is visible.
`PositionAtBottom` Scroll to position the item at the bottom of the viewport.
`PositionAtCenter` Scroll to position the item at the center of the viewport.
`PositionAtTop` Scroll to position the item at the top of the viewport.

Method Summary
`static QAbstractItemView.ScrollHint` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.ScrollHint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractItemView.ScrollHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EnsureVisible

    public static final QAbstractItemView.ScrollHint EnsureVisible

  Scroll to ensure that the item is visible.

### PositionAtTop

    public static final QAbstractItemView.ScrollHint PositionAtTop

  Scroll to position the item at the top of the viewport.

### PositionAtBottom

    public static final QAbstractItemView.ScrollHint PositionAtBottom

  Scroll to position the item at the bottom of the viewport.

### PositionAtCenter

    public static final QAbstractItemView.ScrollHint PositionAtCenter

  Scroll to position the item at the center of the viewport.

Method Detail

### values

    public static final QAbstractItemView.ScrollHint[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractItemView.ScrollHint c : QAbstractItemView.ScrollHint.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractItemView.ScrollHint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.ScrollHint resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD